## NAME

           segy2grd - Converting SEGY file to grd file format

## SYNOPSIS

           segy2grd  segyfile -Ggrdfile -Ix_inc[/y_inc] -Rwest/east/south/north[r]
           [ -A[n|z] ] [ -Dxunit/yunit/zunit/scale/offset/title/remark ] [ -F ]  [
           -Nnodata ] [ -S[zfile] ] [ -V ] [ -Z[flags] ] [ -: ] [ -bi[s][n] ]

## DESCRIPTION

           segy2grd reads an IEEE SEGY file and creates a binary grdfile. Either a
           simple mapping (equivalent to xyz2grd -Z) or a more complicated averag-
           ing  where  a  particular  grid cell includes values from more than one
           sample in the SEGY file can be done.  segy2grd will report if  some  of
           the nodes are not filled in with data. Such unconstrained nodes are set
           to a value specified by the user [Default is  NaN].   Nodes  with  more
           than one value will be set to the average value.

           segyfile
                  ASCII [or binary] file holding z or (x,y,z) values. xyz triplets
                  do not have to be sorted (for binary triplets, see -b). 1-column
                  z tables must be sorted and the -Z must be set).

           -G     grdfile is the name of the binary output grdfile.

           -I     x_inc  [and  optionally  y_inc] is the grid spacing. Append m to
                  indicate minutes or c to indicate seconds.

           -R     west, east, south, and north specify the Region of interest.  To
                  specify boundaries in degrees and minutes [and seconds], use the
                  dd:mm[:ss] format. Append r if lower left and  upper  right  map
                  coordinates are given instead of wesn.

## OPTIONS

           -A     Add  up  multiple  values  that belong to the same node (same as
                  -Az).  Append n to simply count the number of data  points  that
                  were assigned to each node.  [Default (no -A option) will calcu-
                  late mean value]. Not used for simple mapping.

           -D     Give values for xunit, yunit, zunit, scale, offset,  title,  and
                  remark.   To  leave some of these values untouched, specify = as
                  the value.

           -F     Force pixel registration [Default is grid registration].

           -N     No data. Set nodes with no input sample to this  value  [Default
                  is NaN].

           -S     set  variable  spacing header is c for cdp, o for offset, b<num-
                  ber> for 4-byte float starting at byte number  If  -S  not  set,
                  assumes even spacing of samples at the dx, dy supplied with -I

           -L     Override number of samples in each trace

           -X     applies  scalar  x-scale to coordinates in trace header to match
                  the coordinates specified in -R

           EXAMPLES
                  To create a grdfile from an even spaced SEGY file test.segy, try

                  segy2grd test.segy -I0.1/0.1 -Gtest.grd -R198/208/18/25 -V

                  Note  that  this  will read in 18-25s (or km) on each trace, but
                  the first trace will be assumed to be at X=198

                  To create a grdfile  from  the  SEGY  file  test.segy,  locating
                  traces  according to the CDP number, where there are 10 CDPs per
                  km and the sample interval is 0.1, try

                  segy2grd test.segy -Gtest.grd -R0/100/0/10  -I0.5/0.2  -V  -X0.1
                  -Y0.1

                  Because the grid interval is larger than the SEGY file sampling,
                  the individual samples will be averaged in bins

## SEE ALSO

           gmt(GMTMANSECTION),   grd2xyz(GMTMANSECTION),   grdedit(GMTMANSECTION),
           pssegy(GMTMANSECTION)

    GMT4.0                            1 Oct 2004           SEGY2GRD(GMTMANSECTION)